#
# spec file for package python-binplist
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-binplist
Version:        0.1.4
Release:        lp152.3.2
Summary:        Binary property list (plist) parser module written in python
License:        Apache-2.0
Group:          Development/Libraries/Python
Url:            https://code.google.com/p/binplist/
Source:         https://binplist.googlecode.com/files/binplist-0.1.4.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
binplist is a binary property list (plist) parser module written in python.

%prep
%setup -q -n binplist-%{version}
# delete the interpreter
sed -i -e "/#!\/usr\/local\/bin/d" binplist/binplist.py

%build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/plist.py
%{python_sitelib}/binplist-%{version}-py%{py_ver}.egg-info
%{python_sitelib}/binplist

%changelog
* Mon Jul 13 2015 toddrme2178@gmail.com
- Fix building on SLES 11
* Wed Aug 13 2014 Greg.Freemyer@gmail.com
- update to v0.1.4
  * Per GIT log replaced JSON parser with internal code
  * other minor changes
- change /usr/bin/binplist to /usr/bin/plist.py in %%files section
* Mon Sep  9 2013 Greg.Freemyer@gmail.com
- fix macros in files section to build on multiple architectures
- change sed line to more preferred syntax
* Tue Aug 20 2013 Greg.Freemyer@gmail.com
- initial package (v0.1.3)
